# Wallets

### Get wallet details

`Method: GET`

`Endpoint: {{env}}/api/wallet`

{% tabs %}
{% tab title="Canada" %}

```json
{
    "statusCode": 200,
    "message": "GET Request successful.",
    "isError": false,
    "result": [
        {
            "Id": "36501dca-f89e-4c30-b1ed-fb959176ea7a",
            "Type": "Unified",
            "EftProvider": "RBC",
            "Balance": 300.0,
            "BankAccountInformationId": "777bd812-141c-4a4f-a98e-d086d318adb9",
            "Customer": {
                "Enable3DSecureVisa": true,
                "ApiKeyVisa": "052e0e0fa95248e6bd9975bb0e135039 ",
                "Enable3DSecureCreditCard": true,
                "ApiKeyCreditCard": "052e0e0fa95248e6bd9975bb0e135639",
                "InteracProvider": "RBC",
                "AddressCountry": "Canada",
                "Id": "ca54ad7d-7920-4bcc-ba68-62e793ce1fce",
                "CompanyName": "Your Company Name",
                "CompanyEmail": "jhondoe@companyname.com"
            },
            "Currency": "CAD"
        }
    ]
}
```

{% endtab %}

{% tab title="US" %}

```json
{
    "statusCode": 200,
    "message": "GET Request successful.",
    "isError": false,
    "result": [
        {
            "Id": "5dc648ba-5cf4-4fc7-8cd8-30f738ac8848",
            "Type": "Unified",
            "Balance": 300.0,
            "BankAccountInformationId": "00000000-0000-0000-0000-000000000000",
            "Customer": {
                "AddressCountry": "USA",
                "Id": "32e76c70-a0ab-42f4-864b-c6fed0fc7832",
                "CompanyName": "Your Company Name",
                "CompanyEmail": "jhondoe@companyname.com"
            },
            "Currency": "USD"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

You can retrieve all Zūm Rails Wallet information with a single API call. The response includes details such as: Wallet Type, Wallet ID and Wallet Balance.

This endpoint is especially useful when using a Zūm Rails wallet for Accounts Payable (AP) or Accounts Receivable (AR), as the Wallet ID is required in those workflows.

{% hint style="info" %}
**NOTE**

Each customer can have only one wallet.
{% endhint %}

**Response**

{% tabs %}
{% tab title="Canada" %}

<table><thead><tr><th width="173.20001220703125">Parameter</th><th width="117.20001220703125">Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>guid</td><td>Wallet Id</td></tr><tr><td>Type</td><td>string</td><td>Wallet type</td></tr><tr><td>EftProvider</td><td>string</td><td>The EFT provider</td></tr><tr><td>Balance</td><td>string</td><td>Wallet balance</td></tr><tr><td>BankAccountInformationId</td><td>guid</td><td>Bank account information Id</td></tr><tr><td><strong>Customer</strong></td><td></td><td>Customer details</td></tr><tr><td>Enable3DSecureVisa</td><td>boolean</td><td>If 3D Secure is enabled for Visa Direct</td></tr><tr><td>ApiKeyVisa</td><td>string</td><td>API Key for Visa Direct (used when 3D secured is enabled)</td></tr><tr><td>Enable3DSecureCreditCard</td><td>boolean</td><td>If 3D Secure is enabled for Credit Card</td></tr><tr><td>ApiKeyCreditCard</td><td>string</td><td>API Key for Credit Card (used when 3D secured is enabled)</td></tr><tr><td>InteracProvider</td><td>string</td><td>The Interac provider</td></tr><tr><td>AddressCountry</td><td>string</td><td>Customer Country</td></tr><tr><td>Id</td><td>guid</td><td>Customer Id</td></tr><tr><td>CompanyName</td><td>string</td><td>Customer name</td></tr><tr><td>CompanyEmail</td><td>string</td><td>Customer email</td></tr><tr><td>Currency</td><td>string</td><td>The currency of the wallet</td></tr></tbody></table>

{% endtab %}

{% tab title="US" %}

<table><thead><tr><th width="173.20001220703125">Parameter</th><th width="117.20001220703125">Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>guid</td><td>Wallet Id</td></tr><tr><td>Type</td><td>string</td><td>Wallet type</td></tr><tr><td>Balance</td><td>string</td><td>Wallet balance</td></tr><tr><td>BankAccountInformationId</td><td>guid</td><td>Bank account information Id</td></tr><tr><td><strong>Customer</strong></td><td></td><td>Customer details</td></tr><tr><td>AddressCountry</td><td>string</td><td>Customer Country</td></tr><tr><td>Id</td><td>guid</td><td>Customer Id</td></tr><tr><td>CompanyName</td><td>string</td><td>Customer name</td></tr><tr><td>CompanyEmail</td><td>string</td><td>Customer email</td></tr><tr><td>Currency</td><td>string</td><td>The currency of the wallet</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

### Filter wallet transactions

Use this endpoint if you want to list the transactions from a specific wallet. These are the debits and credits that happened in the respective wallet.

`Method: POST`

`Endpoint: {{env}}/api/wallet/transactions/filter`

{% tabs %}
{% tab title="Payload" %}

```json
{
  "WalletId": "30126b59-...-008376504210",
  "Pagination": {
    "PageNumber": 1
  }
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
  "statusCode": 200,
  "message": "POST Request successful.",
  "isError": false,
  "result": [
    {
      "CurrentPage": 1,
      "PageSize": 8,
      "TotalCount": 1,
      "Items": [
        {
          "Id": "faa32009-...-a52cc8996b61",
          "Description": "Funds received by Funding Source (RBC-01234-1234567)",
          "Debit": 0,
          "Credit": 0.01,
          "Balance": 0.01,
          "Type": "Credit",
          "Authorized": true,
          "CreatedAt": "2020-04-28T15:15:09.208515"
        }
      ]
    }
  ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**INFO**

This endpoint is also available in `{{env}}/api/wallet/transactions`, but it may be removed eventually.
{% endhint %}

**Input parameters**

<table><thead><tr><th width="193">Parameter</th><th width="104">Type</th><th width="123">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>WalletId</td><td>guid</td><td>yes</td><td>Wallet id</td></tr><tr><td>TransactionMethod</td><td>string</td><td>no</td><td>Transaction method</td></tr><tr><td>ZumRailsType</td><td>string</td><td>no</td><td>Transaction Type</td></tr><tr><td>GenericSearch</td><td>string</td><td>no</td><td>Filter wallets by description</td></tr><tr><td>CreatedAtFrom</td><td>datetime</td><td>no</td><td>Start date (This field is only used when the operator is between)</td></tr><tr><td>CreatedAtTo</td><td>datetime</td><td>no</td><td>End date (This field is only used when the operator is between)</td></tr><tr><td>CreatedAt</td><td>datetime</td><td>no</td><td>Create date</td></tr><tr><td>CreatedAtOperator</td><td>string</td><td>no</td><td>Operator to filter with CreatedAt properties</td></tr><tr><td><strong>Pagination</strong></td><td></td><td>no</td><td></td></tr><tr><td>PageNumber</td><td>number</td><td>no</td><td>The respective page, starting at 1</td></tr><tr><td>ItemsPerPage</td><td>number</td><td>no</td><td>The amount of items per page between 0 and 100</td></tr></tbody></table>

**Response**

<table data-full-width="false"><thead><tr><th width="196.39996337890625">Parameter</th><th width="167.2000732421875">Type</th><th>Description</th></tr></thead><tbody><tr><td>CurrentPage</td><td>number</td><td>The current page</td></tr><tr><td>PageSize</td><td>number</td><td>The amount of rows returned in the current page</td></tr><tr><td>TotalCount</td><td>number</td><td>The total rows the filter returns</td></tr><tr><td><strong>Items</strong></td><td></td><td>List of wallet transactions</td></tr><tr><td>Id</td><td>guid</td><td>Transaction id</td></tr><tr><td>CreatedAt</td><td>datetime</td><td>When the transaction was created</td></tr><tr><td>Description</td><td>string</td><td>Transaction description</td></tr><tr><td>Debit</td><td>decimal</td><td>Debit amount</td></tr><tr><td>Credit</td><td>decimal</td><td>Credit amount</td></tr><tr><td>Balance</td><td>decimal</td><td>Balance at that moment</td></tr><tr><td>Type</td><td>string</td><td>Credit or Debit</td></tr><tr><td>Authorized</td><td>bool</td><td>If the transaction is completed and authorized</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zumrails.com/api-reference/wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
